#!/bin/bash
if [ `whoami` != "root" ]
then
	echo "Must be root to do that."
	exit 1
fi

source=$1

if [ -z $source ]
then
	echo "You have to provide an image to process!"
	exit 1
fi

echo "Creating usplash file from $source ..."
cp $source usplash-artwork.png
pngtobogl usplash-artwork.png > usplash-artwork.c
gcc -Os -g -I/usr/include/bogl -fPIC -c usplash-artwork.c -o usplash-artwork.o
gcc -shared -Wl,-soname,usplash-artwork.so usplash-artwork.o -o custom-splash.so
cp custom-splash.so /usr/lib/usplash
ln -sf /usr/lib/usplash/custom-splash.so /usr/lib/usplash/usplash-artwork.so
echo "Reconfiguring kernel..."
dpkg-reconfigure linux-image-$(uname -r)
rm -f usplash-artwork.* custom-splash.so
echo "Done! Reboot and enjoy."

